Subject: Dot file layout for ‘home-dotfiles-service’

From: Ludovic Courtès <[email-masked]>
Date: Wed, 07 Feb 2024 23:17:02 +0100

Hi!

Oops, my sincere apologies if I ended up “fixing” something that was in
fact intentional, effectively breaking it.

Giacomo <[email-masked]> skribis:

> The code that was reverted was an intentional fix I introduced after trying the latest revision and having my home break :) . I just believe we are not aligned on the requirements. Ludo': does a tree -a call to your dotfiles directory resemble what is documented in the manual?
>
> We either need to change the manual or the code, I don't have a clear preference . At this point I'm just happy this is in Guix but right now the manual matches Stow's usual directory layout. The code in this state contradicts the documentation and does not take into account the additional "git" directory given dotfiles directory that looks like this:
>
>  tree -a dotfiles/
> dotfiles/
> └── git
>  └── .gitconfig
>
> 2 directories, 1 file

Nope!

--8<---------------cut here---------------start------------->8---
$ guix shell tree -- tree -a dot-files/
dot-files/
├── .dico
├── .gitconfig
├── .gnupg
│   ├── dirmngr.conf
│   ├── gpa.conf
│   ├── gpg.conf
│   └── .gpg-v21-migrated
├── .Xdefaults
└── .xsession
--8<---------------cut here---------------end--------------->8---

So I guess I totally misunderstood the goal; sorry about that!

Where do we go from here?  Should we just adjust the manual to match
this?  Or the other way around, at the cost of breaking user config?  Or
adding an option to choose between these two layouts?

Thanks,
Ludo’.